Subject: Re: linux-next: manual merge of the msm tree with the arm tree

From: Daniel Walker <[email-masked]>
Date: Tue, 19 Oct 2010 11:42:37 -0700

> That's why on occasions we do transgress the established process to 
> accommodate such changes.  Imagine just for a moment the patch that 
> modified the interrupt callback prototype to remove the useless pt_regs 
> argument.  Obviously, it had to be done atomically to the _whole_ tree, 
> and it was agreed that this patch was to be applied at the end of the 
> merge window.  But no one expected a single minute sending a CC to _all_ 
> the driver authors.

I don't actually know which patch your talking about, but it sounds
pretty simple.. I'm not really addressing really simple fixes, even tho
changing a single parameter on a function could be done broken up
depending on what it is.

Daniel